> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/get-dsentrydocumentation.md).

# Get-DSEntryDocumentation

Get-DSEntryDocumentation returnerer dokumentationen indhold gemt for en Devolutions Server post eller boks rod forbindelse.

## Synopsis

Returner dokumentationen for en angivet post eller boks rod forbindelse.

## Syntaks

### Name (standard)

```
Get-DSEntryDocumentation [-ID] <guid> [[-Name] <string[]>] [-Data <string[]>] [-CaseSensitive]
 [-Default] [-AsLegacyResponse] [<CommonParameters>]
```

### Literal

```
Get-DSEntryDocumentation [-ID] <guid> [[-LiteralName] <string[]>] [-Data <string[]>]
 [-CaseSensitive] [-Default] [-AsLegacyResponse] [<CommonParameters>]
```

## Description

Returnerer dokumentationen for en angivet post eller boks rod forbindelse.

## Eksempler

### Eksempel 1

```powershell
PS C:\> Get-DSEntryDocumentation $entryId
```

Hent dokumentationen for posten identified af $entryId.

### Eksempel 2

```powershell
PS C:\> Get-DSEntryDocumentation $entryId -Name "PageName"
```

Hent en specifik dokumentation side fra en post, filtreret af dens navn.

### Eksempel 3

```powershell
PS C:\> Get-DSEntryDocumentation $entryId -Default
```

Hent en post's standard dokumentation side.

### Eksempel 4

```powershell
PS C:\> Get-DSRootSession -VaultID $vaultId | Select-Object -ExpandProperty id | Get-DSEntryDocumentation
```

Hent dokumentationen for boksen rod forbindelse af en boks identified af `$vaultId`.

## Parametre

### -AsLegacyResponse

I versioner før til 2024.2, mange `DS` cmdlets returneret en `ServerResponse` objekt. Enabling denne backward kompatibilitet switch tillader scripts developed for earlier versioner til funktion korrekt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -CaseSensitive

Filtering bliver skelnen mellem store og små bogstaver.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -Data

Filter handbook sider af deres indhold.

```yaml
Type: System.String[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -Default

Hent kun standard side. Maksimum en standard side pr. post.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -ID

ID af posten eller boks rod forbindelse.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -LiteralName

Filter handbook sider af deres navn. Ingen tegn er interpreted som jokertegn.

```yaml
Type: System.String[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Literal
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### -Name

Filter handbook sider af deres navn.

```yaml
Type: System.String[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Name
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## Input

### System.Guid

## Output

### Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage

## Noter

Yderligere oplysninger får De ved at skrive "Get-Help Get-DSEntryDocumentation -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Get-DSEntryDocumentation -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/get-dsentrydocumentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
